Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# BusinessLocation

class telegram.BusinessLocation(address, location=None, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object contains information about the location of a Telegram Business account.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `address` is equal.

  Available In

  `telegram.ChatFullInfo.business_location`

  Added in version 21.1.

  Parameters:

    - address (`str`) – Address of the business.

    - location (`telegram.Location`, optional) – Location of the business.

  address

    Address of the business.

    Type:

      `str`

  location

    Optional. Location of the business.

    Type:

      `telegram.Location`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.